MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024947Open CASCADE[OCCT] OCCT:Foundation Classespublic2014-05-22 12:482016-04-20 15:49
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0024947: Redesign OCCT legacy type system
DescriptionLegacy RTTI system in OCCT is implemented by class Standard_Type and macros STANDARD_TYPE, DEFINE_STANDARD_RTTI, IMPLEMENT_STANDARD_RTTI...

As compared with standard C++ RTTI (typeid, type_info), it provides additional features which are used in OCCT code and applications:

- inheritance can be checked using the type descriptor of a class obtained by STANDARD_TYPE macro for a type, thus without an object

- class name returned by Standard_Type::Name() is not mangled and does not depend on compiler; this feature can be used in implementation of persistence and access to resources associated by class name

These features, and also API that cannot be changed without affecting much of the dependent code, makes it necessary to keep this legacy system.

The drawback of this system is the need of using macros for both definition of the RTTI interface in the class header file, and for implementation of static method in C++ code.

The need to have macro in C++ code can be avoided by replacing it by template class with static member field. This will allow defining transient classes within header files only, and will help to get rid of IXX and JXX files (generated by WOK) in OCCT.
TagsNo tags attached.
Test case number
Attached Filesxlsx file icon bug24947_perf.xlsx (10,886 bytes) 2015-06-05 06:47

- Relationships
parent of 0024955closedapn Open CASCADE Misuse of DownCast 
related to 0024806closedbugmaster Open CASCADE Extend macro DEFINE_STANDARD_RTTI by additional argument specifying base class 
related to 0024780closedbugmaster Open CASCADE Exceptions definition - move generated implementation from cxx to hxx 
related to 0026913closedbugmaster Community Vulnerable mechanism in Standard_Type leads to assert 
child of 0024023closedabv Open CASCADE Revamp the OCCT Handle 

-  Notes
(0029461)
abv (manager)
2014-05-22 13:08

Note that one effect of change to templates will be that class header must be included before any use of STANDARD_TYPE macro for that class.
(0029537)
abv (manager)
2014-05-27 12:15

The effect of making DownCast template and using static_cast<> inside it is that places where DownCast is used between types that belong to different branches of the hierarchy generate compiler error (at least for MSVC), see 0024955
(0029573)
abv (manager)
2014-05-28 14:52

Change pushed to branch CR24947_1 (also containing other commit necessary to building this fix), please review. See commit message for details on the changes made. Note that WOK branch CR24947 is necessary to build this version.
(0029584)
kgv (developer)
2014-05-28 16:47

Please consider following remarks:

+  // return esitsting descriptor if already in the registry
+  std::map<std::string, Handle(Standard_Type)>::iterator anIt = theRegistry.find (theSystemName);


existing

+  std::string aSystemName (theSystemName);

Unused variable - supposed to be used instead of theSystemName in following code.

-class Standard_Persistent
+class Standard_Persistent : public Standard_Transient

Standard_Persistent now has two counters (one more from Standard_Transient). Field "Standard_Persistent::count" probably should be removed.

+  Standard_EXPORT Standard_Persistent& operator= (const Standard_Persistent&) { return *this; 
}

Redundant Standard_EXPORT.

* * *
-    --            \                 \
-    --             \                 \
-    --          U1  \              Uo \
+    --            \     .           \     .
+    --             \    .            \    .
+    --          U1  \   .          Uo \   .

unrelated to bug description.

+  //! Returns the number of ancestors of the class.
+  const Handle(Standard_Type)& Parent () const { return myParent; }

Description looks unrelated.
(0029616)
abv (manager)
2014-05-29 16:47

Remarks taken into account: please check changes in CR24947_2. Note that it is single commit branch, use diff with CR24947_1 to see the last change. Fixes in CDL comments separated to 0024974
(0029642)
abv (manager)
2014-06-03 08:25

Note that relevant changes in WOK are pushed top branch CR24947
(0041472)
git (administrator)
2015-05-25 08:07

Branch CR24947_3 has been created by abv.

SHA-1: 965b17f56a043c7966703128a2571b39f81ff9bb


Detailed log of new commits:

Author: abv
Date: Thu Aug 14 17:20:14 2014 +0400

    0024947: Redesign OCCT legacy type system -- final corrections
    
    Remaining missing includes added manually

Author: abv
Date: Sun May 24 22:11:41 2015 +0300

    Automatic upgrade of code by command "occt_upgrade -rtti"

Author: abv
Date: Fri May 22 06:40:28 2015 +0300

    0024947: Redesign OCCT legacy type system
    
    Global static functions instantiating RTTI descriptors for class types (used though STANDARD_TYPE macro) are replaced by template static method Instance() of the class Standard_Type.
    Implementation of RTTI is revised accordingly (global registry of type descriptors added to ensure single instance of each type descriptor shared by all dynamic libraries).
    Obsolete methods of Standard_Type class (IsInstance(), Ancestors()) are removed; new method Parent() is added returning type descriptor of the parent class.
    Class Standard_AncestorIterator is removed; this iteration can be easily done by recursive calls to Standard_Type::Parent().
    
    Definition of macro STANDARD_TYPE() moved from Standard_Macro.hxx to Standard_DefineHandle.hxx.
    Inclusion of Standard_Type.hxx and the class header is now necessary for use of method DownCast() and function STANDARD_TYPE() for the class.
    In general, Standard_Type.hxx should be included now instead of Standard_DefineHandle.hxx in places where these macros are used.
    
    Macro DEFINE_STANDARD_EXCEPTION changed to define all methods inline; macro IMPLEMENT_STANDARD_EXCEPTION becomes obsolete.
    Macros IMPLEMENT_DOWNCAST, IMPLEMENT_STANDARD_* become deprecated, they are still defined (as empty) for compatibility.
    
    Implementation of Handle classes became fully inline.
    Method get() is added in Handle classes returning pointer to the contained object.
    
    RTTI removed from NCollection_Handle class.
    
    Standard_Persistent is made empty descendant of Standard_Transient, instead of implementing its own hierarchy with reference counting.
    Note that on CDL level it is still defined as inheriting Standard_Storable.
    
    Unused enumerations Standard_InternalType, Standard_WayOfLife, Standard_KindOfType are removed.
    Global function HashCode() accepting Handle(Standard_Transient) is removed; HashCode() for Standard_CString with length should be used instead.
(0041763)
git (administrator)
2015-05-30 13:35

Branch CR24947_4 has been created by abv.

SHA-1: be8479c460e88987677ddd1520eb2385f6408ee4


Detailed log of new commits:

Author: abv
Date: Thu Aug 14 17:20:14 2014 +0400

    0024947: Redesign OCCT legacy type system -- final corrections
    
    Remaining missing includes added manually

Author: abv
Date: Sun May 24 22:11:41 2015 +0300

    Automatic upgrade of code by command "occt_upgrade -rtti"

Author: abv
Date: Fri May 22 06:40:28 2015 +0300

    0024947: Redesign OCCT legacy type system
    
    Global static functions instantiating RTTI descriptors for class types (used though STANDARD_TYPE macro) are replaced by template static method Instance() of the class Standard_Type.
    Implementation of RTTI is revised accordingly (global registry of type descriptors added to ensure single instance of each type descriptor shared by all dynamic libraries).
    Obsolete methods of Standard_Type class (IsInstance(), Ancestors()) are removed; new method Parent() is added returning type descriptor of the parent class.
    Class Standard_AncestorIterator is removed; this iteration can be easily done by recursive calls to Standard_Type::Parent().
    
    Definition of macro STANDARD_TYPE() moved from Standard_Macro.hxx to Standard_DefineHandle.hxx.
    Inclusion of Standard_Type.hxx and the class header is now necessary for use of method DownCast() and function STANDARD_TYPE() for the class.
    In general, Standard_Type.hxx should be included now instead of Standard_DefineHandle.hxx in places where these macros are used.
    
    Macro DEFINE_STANDARD_EXCEPTION changed to define all methods inline; macro IMPLEMENT_STANDARD_EXCEPTION becomes obsolete.
    Macros IMPLEMENT_DOWNCAST, IMPLEMENT_STANDARD_* become deprecated, they are still defined (as empty) for compatibility.
    
    Implementation of Handle classes became fully inline.
    Method get() is added in Handle classes returning pointer to the contained object.
    
    RTTI removed from NCollection_Handle class.
    
    Standard_Persistent is made empty descendant of Standard_Transient, instead of implementing its own hierarchy with reference counting.
    
    Unused enumerations Standard_InternalType, Standard_WayOfLife, Standard_KindOfType are removed.
    Global function HashCode() accepting Handle(Standard_Transient) is removed; HashCode() for Standard_CString with length should be used instead.
    
    DRAW command dtryload is added for testing dynamic load / unload of the specified library.
    New test perf fclasses bug24947 uses this command to measure performance of multiple (1000 times) loading / unloading OCCT libs on example of TKSTEP.
(0041764)
abv (manager)
2015-05-30 13:47
edited on: 2015-05-30 13:51

Testing revealed that global registry of types adds some overhead to both memory and CPU (initialization on loading of libs, and also on unloading -- the types should be removed when DLL is unloaded).

I have tried several variants of implementation of type registry, the results of my measurements are attached in file bug24947_perf.xls. The conclusion is that implementation with NCollection_DataMap is slighly better than using std::map, so it is used for version contained in CR24947_4.

The interesting facts are:
- When DRAW starts, 907 types are initialized
- OCCT defines about 3000 dynamic types (amount initialized after pload ALL in DRAW)
- Registry gives overhead of memory (heap) around 100 bytes per type; total overhead (on pload ALL) is ~ 450 KB
- Time of loading whole OCCT (pload ALL) is less than 0.1 sec (on i7-4970, vc10, x64)
- Time of 1000 loadings and unloadings of TKSTEP is ~ 8 sec
- Test groups xcaf and xml are most sensitive to loading time of toolkits (the tests in these groups are quite small)

(0043261)
git (administrator)
2015-07-22 07:44

Branch CR24947_4 has been deleted by abv.

SHA-1: be8479c460e88987677ddd1520eb2385f6408ee4
(0043262)
git (administrator)
2015-07-22 07:46

Branch CR24947_3 has been deleted by abv.

SHA-1: 965b17f56a043c7966703128a2571b39f81ff9bb
(0043297)
git (administrator)
2015-07-22 16:20

Branch CR24947_1 has been deleted by abv.

SHA-1: 489c23cb024fcc9d3e8247111fe926315db12f78
(0043300)
git (administrator)
2015-07-22 16:21

Branch CR24947 has been deleted by abv.

SHA-1: dcfbe17f1d8b57ec45cc3c0b4045da2056309730
(0043573)
git (administrator)
2015-07-27 14:18

Branch CR24947_2 has been deleted by kgv.

SHA-1: 58d6b16eec8459191c15ad95d577ddf4294e3107

- Related Changesets
occt: master 4f953fa9
Timestamp: 2014-08-14 13:20:14
Author: abv
Committer: abv
Details ] Diff ]
0024947: Redesign OCCT legacy type system -- final corrections

Remaining missing includes added manually
mod - src/IFSelect/IFSelect_BasicDumper.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_Functions.cxx Diff ] File ]
mod - src/IGESData/IGESData_GeneralModule.cxx Diff ] File ]
mod - src/IGESData/IGESData_IGESReaderTool.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_AutoCorrect.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Resource.hxx Diff ] File ]
occt: master 69ff08ff
Timestamp: 2015-05-22 03:40:28
Author: abv
Committer: abv
Details ] Diff ]
0024947: Redesign OCCT legacy type system

Global static functions instantiating RTTI descriptors for class types (used though STANDARD_TYPE macro) are replaced by template static method Instance() of the class Standard_Type.
Implementation of RTTI is revised accordingly (global registry of type descriptors added to ensure single instance of each type descriptor shared by all dynamic libraries).
Obsolete methods of Standard_Type class (IsInstance(), Ancestors()) are removed; new method Parent() is added returning type descriptor of the parent class.
Class Standard_AncestorIterator is removed; this iteration can be easily done by recursive calls to Standard_Type::Parent().

Definition of macro STANDARD_TYPE() moved from Standard_Macro.hxx to Standard_DefineHandle.hxx.
Inclusion of Standard_Type.hxx and the class header is now necessary for use of method DownCast() and function STANDARD_TYPE() for the class.
In general, Standard_Type.hxx should be included now instead of Standard_DefineHandle.hxx in places where these macros are used.

Macro DEFINE_STANDARD_EXCEPTION changed to define all methods inline; macro IMPLEMENT_STANDARD_EXCEPTION becomes obsolete.
Macros IMPLEMENT_DOWNCAST, IMPLEMENT_STANDARD_* become deprecated, they are still defined (as empty) for compatibility.

Implementation of Handle classes became fully inline.
Method get() is added in Handle classes returning pointer to the contained object.

RTTI removed from NCollection_Handle class.

Standard_Persistent is made empty descendant of Standard_Transient, instead of implementing its own hierarchy with reference counting.

Unused enumerations Standard_InternalType, Standard_WayOfLife, Standard_KindOfType are removed.
Global function HashCode() accepting Handle(Standard_Transient) is removed; HashCode() for Standard_CString with length should be used instead.

DRAW command dtryload is added for testing dynamic load / unload of the specified library.
New test perf fclasses bug24947 uses this command to measure performance of multiple (1000 times) loading / unloading OCCT libs on example of TKSTEP.
mod - src/DDF/DDF_DataCommands.cxx Diff ] File ]
mod - src/Draw/Draw_PloadCommands.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_BasicDumper.cxx Diff ] File ]
mod - src/IntImp/IntImp_ComputeTangence.cxx Diff ] File ]
mod - src/Message/Message_Algorithm.cxx Diff ] File ]
mod - src/NCollection/NCollection_Handle.cxx Diff ] File ]
mod - src/NCollection/NCollection_Handle.hxx Diff ] File ]
mod - src/Precision/Precision.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectableObject.cxx Diff ] File ]
mod - src/Standard/FILES Diff ] File ]
mod - src/Standard/Handle_Standard_Persistent.cxx Diff ] File ]
mod - src/Standard/Handle_Standard_Persistent.hxx Diff ] File ]
mod - src/Standard/Handle_Standard_Transient.hxx Diff ] File ]
mod - src/Standard/Standard.cdl Diff ] File ]
rm - src/Standard/Standard_AncestorIterator.cdl Diff ] File ]
rm - src/Standard/Standard_AncestorIterator.cxx Diff ] File ]
mod - src/Standard/Standard_CString.cxx Diff ] File ]
mod - src/Standard/Standard_DefineException.hxx Diff ] File ]
mod - src/Standard/Standard_DefineHandle.hxx Diff ] File ]
mod - src/Standard/Standard_Failure.cdl Diff ] File ]
mod - src/Standard/Standard_Failure.cxx Diff ] File ]
mod - src/Standard/Standard_HashCode.cxx Diff ] File ]
mod - src/Standard/Standard_Macro.hxx Diff ] File ]
mod - src/Standard/Standard_Persistent.cxx Diff ] File ]
mod - src/Standard/Standard_Persistent_proto.hxx Diff ] File ]
mod - src/Standard/Standard_PrimitiveTypes.hxx Diff ] File ]
mod - src/Standard/Standard_ShortReal.hxx Diff ] File ]
mod - src/Standard/Standard_Transient.cdl Diff ] File ]
mod - src/Standard/Standard_Transient.cxx Diff ] File ]
mod - src/Standard/Standard_Transient.hxx Diff ] File ]
mod - src/Standard/Standard_Transient_proto.hxx Diff ] File ]
rm - src/Standard/Standard_Type.cdl Diff ] File ]
mod - src/Standard/Standard_Type.cxx Diff ] File ]
add - src/Standard/Standard_Type.hxx Diff ] File ]
rm - src/Standard/Standard_Type.lxx Diff ] File ]
mod - src/TDataStd/TDataStd_TreeNode.cxx Diff ] File ]
add - tests/perf/fclasses/bug24947 Diff ] File ]
mod - tests/perf/grids.list Diff ] File ]
occt: master ec357c5c
Timestamp: 2015-07-11 08:06:11
Author: abv
Committer: abv
Details ] Diff ]
0024947: Redesign OCCT legacy type system -- automatic

Automatic upgrade with command "occt_upgdare . -rtti"
mod - src/Adaptor3d/Adaptor3d_IsoCurve.cxx Diff ] File ]
mod - src/AdvApp2Var/AdvApp2Var_ApproxAFunc2Var.cxx Diff ] File ]
mod - src/AIS/AIS.cxx Diff ] File ]
mod - src/AIS/AIS_AngleDimension.cxx Diff ] File ]
mod - src/AIS/AIS_AngleDimension.hxx Diff ] File ]
mod - src/AIS/AIS_ColoredShape.cxx Diff ] File ]
mod - src/AIS/AIS_ColoredShape.hxx Diff ] File ]
mod - src/AIS/AIS_DiameterDimension.cxx Diff ] File ]
mod - src/AIS/AIS_DiameterDimension.hxx Diff ] File ]
mod - src/AIS/AIS_Dimension.cxx Diff ] File ]
mod - src/AIS/AIS_Dimension.hxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext_1.cxx Diff ] File ]
mod - src/AIS/AIS_LengthDimension.cxx Diff ] File ]
mod - src/AIS/AIS_LengthDimension.hxx Diff ] File ]
mod - src/AIS/AIS_LocalContext.cxx Diff ] File ]
mod - src/AIS/AIS_LocalContext_1.cxx Diff ] File ]
mod - src/AIS/AIS_MultipleConnectedInteractive.cxx Diff ] File ]
mod - src/AIS/AIS_PointCloud.cxx Diff ] File ]
mod - src/AIS/AIS_PointCloud.hxx Diff ] File ]
mod - src/AIS/AIS_RadiusDimension.cxx Diff ] File ]
mod - src/AIS/AIS_RadiusDimension.hxx Diff ] File ]
mod - src/AIS/AIS_TextLabel.cxx Diff ] File ]
mod - src/AIS/AIS_TextLabel.hxx Diff ] File ]
mod - src/AIS/AIS_TexturedShape.cxx Diff ] File ]
mod - src/AIS/AIS_TexturedShape.hxx Diff ] File ]
mod - src/AIS/AIS_Triangulation.cxx Diff ] File ]
mod - src/APIHeaderSection/APIHeaderSection_EditHeader.cxx Diff ] File ]
mod - src/Aspect/Aspect_DisplayConnection.cxx Diff ] File ]
mod - src/Aspect/Aspect_DisplayConnection.hxx Diff ] File ]
mod - src/BinLDrivers/BinLDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/BinMDF/BinMDF_ADriverTable.cxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers_DocumentRetrievalDriver.hxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers_DocumentStorageDriver.hxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers_IntSparseArrayDriver.cxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers_IntSparseArrayDriver.hxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers_ModelDriver.cxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers_ModelDriver.hxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers_ObjectDriver.cxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers_ObjectDriver.hxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers_ReferenceDriver.cxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers_ReferenceDriver.hxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers_XYZDriver.cxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers_XYZDriver.hxx Diff ] File ]
mod - src/BinTools/BinTools_Curve2dSet.cxx Diff ] File ]
mod - src/BinTools/BinTools_CurveSet.cxx Diff ] File ]
mod - src/BinTools/BinTools_ShapeSet.cxx Diff ] File ]
mod - src/BinTools/BinTools_SurfaceSet.cxx Diff ] File ]
mod - src/BiTgte/BiTgte_Blend.cxx Diff ] File ]
mod - src/BRepAdaptor/BRepAdaptor_Curve.cxx Diff ] File ]
mod - src/BRepAdaptor/BRepAdaptor_Surface.cxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo.cxx Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_Copy.cxx Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_FastSewing.cxx Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_FastSewing.hxx Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_FindPlane.cxx Diff ] File ]
mod - src/BRepCheck/BRepCheck_Edge.cxx Diff ] File ]
mod - src/BRepCheck/BRepCheck_Solid.cxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_TriangleSet.cxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_TriangleSet.hxx Diff ] File ]
mod - src/BRepFill/BRepFill_OffsetWire.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_Sweep.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_TrimEdgeTool.cxx Diff ] File ]
mod - src/BRepLib/BRepLib_CheckCurveOnSurface.cxx Diff ] File ]
mod - src/BRepLib/BRepLib_FuseEdges.cxx Diff ] File ]
mod - src/BRepLib/BRepLib_MakeShell.cxx Diff ] File ]
mod - src/BRepMAT2d/BRepMAT2d_Explorer.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_DataStructureOfDelaun.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_DataStructureOfDelaun.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_DiscretRoot.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_DiscretRoot.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_EdgeTessellationExtractor.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_EdgeTessellationExtractor.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_EdgeTessellator.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_EdgeTessellator.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_FaceAttribute.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_FaceAttribute.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_FastDiscret.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_FastDiscret.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_FastDiscretFace.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_FastDiscretFace.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_IEdgeTool.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_IEdgeTool.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_IncrementalMesh.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_IncrementalMesh.hxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_Inter2d.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_Tool.cxx Diff ] File ]
mod - src/BRepOffsetAPI/BRepOffsetAPI_DraftAngle.cxx Diff ] File ]
mod - src/BRepPrim/BRepPrim_Revolution.cxx Diff ] File ]
mod - src/BRepSweep/BRepSweep_Rotation.cxx Diff ] File ]
mod - src/BRepSweep/BRepSweep_Translation.cxx Diff ] File ]
mod - src/BRepToIGES/BRepToIGES_BRWire.cxx Diff ] File ]
mod - src/BRepTools/BRepTools_GTrsfModification.cxx Diff ] File ]
mod - src/BRepTools/BRepTools_NurbsConvertModification.cxx Diff ] File ]
mod - src/BRepTools/BRepTools_ShapeSet.cxx Diff ] File ]
mod - src/BRepTools/BRepTools_TrsfModification.cxx Diff ] File ]
mod - src/BRepTopAdaptor/BRepTopAdaptor_TopolTool.cxx Diff ] File ]
mod - src/BSplCLib/BSplCLib_Cache.cxx Diff ] File ]
mod - src/BSplCLib/BSplCLib_Cache.hxx Diff ] File ]
mod - src/BSplSLib/BSplSLib_Cache.cxx Diff ] File ]
mod - src/BSplSLib/BSplSLib_Cache.hxx Diff ] File ]
mod - src/CDF/CDF_Application.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_0.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_6.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_C1.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_SpKP.cxx Diff ] File ]
mod - src/ChFiDS/ChFiDS_FilSpine.cxx Diff ] File ]
mod - src/Cocoa/Cocoa_Window.hxx Diff ] File ]
mod - src/DDocStd/DDocStd.cxx Diff ] File ]
mod - src/Draft/Draft_Modification_1.cxx Diff ] File ]
mod - src/DrawTrSurf/DrawTrSurf.cxx Diff ] File ]
mod - src/DrawTrSurf/DrawTrSurf_Curve.cxx Diff ] File ]
mod - src/DrawTrSurf/DrawTrSurf_Debug.cxx Diff ] File ]
mod - src/DrawTrSurf/DrawTrSurf_Surface.cxx Diff ] File ]
mod - src/Expr/Expr_BinaryFunction.cxx Diff ] File ]
mod - src/Expr/Expr_Division.cxx Diff ] File ]
mod - src/Expr/Expr_PolyFunction.cxx Diff ] File ]
mod - src/Expr/Expr_Product.cxx Diff ] File ]
mod - src/Expr/Expr_RelationIterator.cxx Diff ] File ]
mod - src/Expr/Expr_UnaryFunction.cxx Diff ] File ]
mod - src/Expr/Expr_UnknownIterator.cxx Diff ] File ]
mod - src/Extrema/Extrema_ExtPExtS.cxx Diff ] File ]
mod - src/Font/Font_BRepFont.cxx Diff ] File ]
mod - src/Font/Font_BRepFont.hxx Diff ] File ]
mod - src/Font/Font_FTFont.cxx Diff ] File ]
mod - src/Font/Font_FTFont.hxx Diff ] File ]
mod - src/Font/Font_FTLibrary.cxx Diff ] File ]
mod - src/Font/Font_FTLibrary.hxx Diff ] File ]
mod - src/Geom/Geom_OsculatingSurface.cxx Diff ] File ]
mod - src/Geom/Geom_SurfaceOfLinearExtrusion.cxx Diff ] File ]
mod - src/Geom2dAPI/Geom2dAPI_InterCurveCurve.cxx Diff ] File ]
mod - src/Geom2dConvert/Geom2dConvert_BSplineCurveToBezierCurve.cxx Diff ] File ]
mod - src/GeomConvert/GeomConvert_BSplineCurveToBezierCurve.cxx Diff ] File ]
mod - src/GeomConvert/GeomConvert_BSplineSurfaceToBezierSurface.cxx Diff ] File ]
mod - src/GeomFill/GeomFill.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_BSplineCurves.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_EvolvedSection.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_FunctionGuide.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_LocationGuide.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_NSections.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_Pipe.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_Profiler.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_SectionPlacement.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_SweepSectionGenerator.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_UniformSection.cxx Diff ] File ]
mod - src/GeomInt/GeomInt_IntSS_1.cxx Diff ] File ]
mod - src/GeomLib/GeomLib.cxx Diff ] File ]
mod - src/GeomLib/GeomLib_Check2dBSplineCurve.cxx Diff ] File ]
mod - src/GeomliteTest/GeomliteTest_CurveCommands.cxx Diff ] File ]
mod - src/GeomliteTest/GeomliteTest_ModificationCommands.cxx Diff ] File ]
mod - src/GeomliteTest/GeomliteTest_SurfaceCommands.cxx Diff ] File ]
mod - src/GeomPlate/GeomPlate_BuildPlateSurface.cxx Diff ] File ]
mod - src/GeomPlate/GeomPlate_CurveConstraint.cxx Diff ] File ]
mod - src/GeomToIGES/GeomToIGES_GeomSurface.cxx Diff ] File ]
mod - src/GeomTools/GeomTools_Curve2dSet.cxx Diff ] File ]
mod - src/GeomTools/GeomTools_CurveSet.cxx Diff ] File ]
mod - src/GeomTools/GeomTools_Debug.cxx Diff ] File ]
mod - src/GeomTools/GeomTools_SurfaceSet.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ArrayOfPrimitives.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_BoundBuffer.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Buffer.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Camera.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Camera.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ClipPlane.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ClipPlane.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CStructure.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CStructure.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_IndexBuffer.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_MarkerImage.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_MarkerImage.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ShaderObject.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ShaderObject.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ShaderProgram.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ShaderProgram.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ShaderVariable.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ShaderVariable.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ViewAffinity.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ViewAffinity.hxx Diff ] File ]
mod - src/IFSelect/IFSelect_EditForm.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_Editor.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_SelectSuite.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_SelectType.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_SessionFile.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_ShareOut.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_SignMultiple.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_WorkSession.cxx Diff ] File ]
mod - src/IGESCAFControl/IGESCAFControl_Writer.cxx Diff ] File ]
mod - src/IGESControl/IGESControl_IGESBoundary.cxx Diff ] File ]
mod - src/IGESControl/IGESControl_Writer.cxx Diff ] File ]
mod - src/IGESData/IGESData_BasicEditor.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_PerspectiveView.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_View.cxx Diff ] File ]
mod - src/IGESToBRep/IGESToBRep_BasicCurve.cxx Diff ] File ]
mod - src/IGESToBRep/IGESToBRep_BasicSurface.cxx Diff ] File ]
mod - src/IGESToBRep/IGESToBRep_BRepEntity.cxx Diff ] File ]
mod - src/IGESToBRep/IGESToBRep_IGESBoundary.cxx Diff ] File ]
mod - src/IGESToBRep/IGESToBRep_TopoCurve.cxx Diff ] File ]
mod - src/IGESToBRep/IGESToBRep_TopoSurface.cxx Diff ] File ]
mod - src/Image/Image_AlienPixMap.cxx Diff ] File ]
mod - src/Image/Image_AlienPixMap.hxx Diff ] File ]
mod - src/Image/Image_Diff.cxx Diff ] File ]
mod - src/Image/Image_Diff.hxx Diff ] File ]
mod - src/Image/Image_PixMap.cxx Diff ] File ]
mod - src/Image/Image_PixMap.hxx Diff ] File ]
mod - src/Image/Image_PixMapData.hxx Diff ] File ]
mod - src/Image/Image_PixMap_Handle.hxx Diff ] File ]
mod - src/Interface/Interface_GTool.cxx Diff ] File ]
mod - src/Interface/Interface_InterfaceModel.cxx Diff ] File ]
mod - src/Interface/Interface_Protocol.cxx Diff ] File ]
mod - src/Interface/Interface_SignType.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_ImpPrmIntersection.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_Intersection.cxx Diff ] File ]
mod - src/IVtk/IVtk_Interface.cxx Diff ] File ]
mod - src/IVtk/IVtk_Interface.hxx Diff ] File ]
mod - src/IVtk/IVtk_IShape.cxx Diff ] File ]
mod - src/IVtk/IVtk_IShape.hxx Diff ] File ]
mod - src/IVtk/IVtk_IShapeData.cxx Diff ] File ]
mod - src/IVtk/IVtk_IShapeData.hxx Diff ] File ]
mod - src/IVtk/IVtk_IShapeMesher.cxx Diff ] File ]
mod - src/IVtk/IVtk_IShapeMesher.hxx Diff ] File ]
mod - src/IVtk/IVtk_IShapePickerAlgo.cxx Diff ] File ]
mod - src/IVtk/IVtk_IShapePickerAlgo.hxx Diff ] File ]
mod - src/IVtk/IVtk_IView.cxx Diff ] File ]
mod - src/IVtk/IVtk_IView.hxx Diff ] File ]
mod - src/IVtkDraw/IVtkDraw_HighlightAndSelectionPipeline.cxx Diff ] File ]
mod - src/IVtkDraw/IVtkDraw_HighlightAndSelectionPipeline.hxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_SelectableObject.cxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_SelectableObject.hxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_Shape.cxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_Shape.hxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_ShapeMesher.cxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_ShapeMesher.hxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_ShapePickerAlgo.cxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_ShapePickerAlgo.hxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_ViewerSelector.cxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_ViewerSelector.hxx Diff ] File ]
mod - src/IVtkVTK/IVtkVTK_ShapeData.cxx Diff ] File ]
mod - src/IVtkVTK/IVtkVTK_ShapeData.hxx Diff ] File ]
mod - src/IVtkVTK/IVtkVTK_View.cxx Diff ] File ]
mod - src/IVtkVTK/IVtkVTK_View.hxx Diff ] File ]
mod - src/LDOM/Handle_LDOM_MemManager.hxx Diff ] File ]
mod - src/LDOM/LDOM_MemManager.cxx Diff ] File ]
mod - src/LDOM/LDOM_MemManager.hxx Diff ] File ]
mod - src/LocOpe/LocOpe_WiresOnShape.cxx Diff ] File ]
mod - src/MAT2d/MAT2d_MiniPath.cxx Diff ] File ]
mod - src/MeshTest/MeshTest_DrawableMesh.cxx Diff ] File ]
mod - src/MeshTest/MeshTest_DrawableMesh.hxx Diff ] File ]
mod - src/MeshVS/MeshVS_DummySensitiveEntity.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_DummySensitiveEntity.hxx Diff ] File ]
mod - src/MeshVS/MeshVS_NodalColorPrsBuilder.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_SensitiveFace.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_SensitiveFace.hxx Diff ] File ]
mod - src/MeshVS/MeshVS_SensitiveMesh.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_SensitiveMesh.hxx Diff ] File ]
mod - src/MeshVS/MeshVS_SensitivePolyhedron.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_SensitivePolyhedron.hxx Diff ] File ]
mod - src/MeshVS/MeshVS_SensitiveSegment.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_SensitiveSegment.hxx Diff ] File ]
mod - src/Message/Message_Algorithm.cxx Diff ] File ]
mod - src/Message/Message_Messenger.cxx Diff ] File ]
mod - src/MoniTool/MoniTool_Profile.cxx Diff ] File ]
mod - src/MoniTool/MoniTool_TypedValue.cxx Diff ] File ]
mod - src/NCollection/NCollection_AccAllocator.cxx Diff ] File ]
mod - src/NCollection/NCollection_AccAllocator.hxx Diff ] File ]
mod - src/NCollection/NCollection_AlignedAllocator.cxx Diff ] File ]
mod - src/NCollection/NCollection_AlignedAllocator.hxx Diff ] File ]
mod - src/NCollection/NCollection_BaseAllocator.cxx Diff ] File ]
mod - src/NCollection/NCollection_BaseAllocator.hxx Diff ] File ]
mod - src/NCollection/NCollection_Buffer.hxx Diff ] File ]
mod - src/NCollection/NCollection_DefineHArray1.hxx Diff ] File ]
mod - src/NCollection/NCollection_DefineHArray2.hxx Diff ] File ]
mod - src/NCollection/NCollection_DefineHSequence.hxx Diff ] File ]
mod - src/NCollection/NCollection_EBTree.hxx Diff ] File ]
mod - src/NCollection/NCollection_HeapAllocator.cxx Diff ] File ]
mod - src/NCollection/NCollection_HeapAllocator.hxx Diff ] File ]
mod - src/NCollection/NCollection_IncAllocator.cxx Diff ] File ]
mod - src/NCollection/NCollection_IncAllocator.hxx Diff ] File ]
mod - src/NCollection/NCollection_UBTree.hxx Diff ] File ]
mod - src/NCollection/NCollection_WinHeapAllocator.hxx Diff ] File ]
mod - src/OpenGl/Handle_OpenGl_Context.hxx Diff ] File ]
mod - src/OpenGl/Handle_OpenGl_GraphicDriver.hxx Diff ] File ]
mod - src/OpenGl/Handle_OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/Handle_OpenGl_Window.hxx Diff ] File ]
mod - src/OpenGl/Handle_OpenGl_Workspace.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_CappingAlgo.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_CappingAlgo.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_CappingPlaneResource.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_CappingPlaneResource.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Caps.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Caps.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Font.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Font.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameBuffer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameBuffer.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Group.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Group.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_IndexBuffer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_IndexBuffer.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_LineAttributes.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_LineAttributes.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_PointSprite.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PointSprite.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrinterContext.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrinterContext.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_RenderFilter.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_RenderFilter.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Resource.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Resource.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Sampler.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Sampler.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_SetOfShaderPrograms.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderManager.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderObject.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderObject.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderProgram.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderProgram.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_StructureShadow.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_StructureShadow.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_TextFormatter.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_TextFormatter.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Texture.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Texture.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_TextureBufferArb.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_TextureBufferArb.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_VertexBuffer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_VertexBuffer.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_VertexBufferCompat.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_VertexBufferCompat.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.hxx Diff ] File ]
mod - src/PCDM/PCDM.cxx Diff ] File ]
mod - src/Poly/Poly_CoherentTriangulation.cxx Diff ] File ]
mod - src/Poly/Poly_CoherentTriangulation.hxx Diff ] File ]
mod - src/ProjLib/ProjLib_ComputeApproxOnPolarSurface.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_DimensionAspect.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_Drawer.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_Drawer.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_PresentationShadow.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_PresentationShadow.hxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_Presentation.cxx Diff ] File ]
mod - src/QABugs/QABugs_1.cxx Diff ] File ]
mod - src/QABugs/QABugs_11.cxx Diff ] File ]
mod - src/QABugs/QABugs_16.cxx Diff ] File ]
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
mod - src/QABugs/QABugs_9.cxx Diff ] File ]
mod - src/QABugs/QABugs_PresentableObject.cxx Diff ] File ]
mod - src/QANCollection/QANCollection_Perf.cxx Diff ] File ]
mod - src/QANCollection/QANCollection_Test.cxx Diff ] File ]
mod - src/RWStepAP203/RWStepAP203_RWCcDesignApproval.cxx Diff ] File ]
mod - src/RWStepAP203/RWStepAP203_RWCcDesignCertification.cxx Diff ] File ]
mod - src/RWStepAP203/RWStepAP203_RWCcDesignContract.cxx Diff ] File ]
mod - src/RWStepAP203/RWStepAP203_RWCcDesignDateAndTimeAssignment.cxx Diff ] File ]
mod - src/RWStepAP203/RWStepAP203_RWCcDesignPersonAndOrganizationAssignment.cxx Diff ] File ]
mod - src/RWStepAP203/RWStepAP203_RWCcDesignSecurityClassification.cxx Diff ] File ]
mod - src/RWStepAP203/RWStepAP203_RWCcDesignSpecificationReference.cxx Diff ] File ]
mod - src/RWStepAP203/RWStepAP203_RWChange.cxx Diff ] File ]
mod - src/RWStepAP203/RWStepAP203_RWChangeRequest.cxx Diff ] File ]
mod - src/RWStepAP203/RWStepAP203_RWStartRequest.cxx Diff ] File ]
mod - src/RWStepAP203/RWStepAP203_RWStartWork.cxx Diff ] File ]
mod - src/RWStepAP214/RWStepAP214_RWAppliedExternalIdentificationAssignment.cxx Diff ] File ]
mod - src/RWStepAP214/RWStepAP214_RWAppliedGroupAssignment.cxx Diff ] File ]
mod - src/RWStepAP214/RWStepAP214_RWExternallyDefinedClass.cxx Diff ] File ]
mod - src/RWStepAP214/RWStepAP214_RWExternallyDefinedGeneralProperty.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWAction.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWActionAssignment.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWActionRequestAssignment.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWActionRequestSolution.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWCertification.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWCertificationAssignment.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWContract.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWContractAssignment.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWConversionBasedUnitAndAreaUnit.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWConversionBasedUnitAndVolumeUnit.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWDocument.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWDocumentFile.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWDocumentProductAssociation.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWDocumentProductEquivalence.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWDocumentRepresentationType.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWEffectivityAssignment.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWExternalIdentificationAssignment.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWExternallyDefinedItem.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWGroupAssignment.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWGroupRelationship.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWIdentificationAssignment.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWMassUnit.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWProductCategoryRelationship.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWProductConceptContext.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWProductDefinitionFormationRelationship.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWProductDefinitionRelationship.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWProductDefinitionWithAssociatedDocuments.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWRoleAssociation.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWSiUnitAndVolumeUnit.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWThermodynamicTemperatureUnit.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWAngularityTolerance.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWCircularRunoutTolerance.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWCoaxialityTolerance.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWCommonDatum.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWConcentricityTolerance.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWCylindricityTolerance.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWDatum.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWDatumFeature.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWDatumReference.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWDatumTarget.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWFlatnessTolerance.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWGeometricTolerance.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWGeometricToleranceRelationship.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWGeometricToleranceWithDatumReference.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWGeoTolAndGeoTolWthDatRefAndModGeoTolAndPosTol.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWLineProfileTolerance.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWModifiedGeometricTolerance.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWParallelismTolerance.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWPerpendicularityTolerance.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWPlacedDatumTargetFeature.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWPositionTolerance.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWRoundnessTolerance.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWStraightnessTolerance.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWSurfaceProfileTolerance.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWSymmetryTolerance.cxx Diff ] File ]
mod - src/RWStepDimTol/RWStepDimTol_RWTotalRunoutTolerance.cxx Diff ] File ]
mod - src/RWStepElement/RWStepElement_RWAnalysisItemWithinRepresentation.cxx Diff ] File ]
mod - src/RWStepElement/RWStepElement_RWSurfaceElementProperty.cxx Diff ] File ]
mod - src/RWStepElement/RWStepElement_RWSurfaceSectionFieldConstant.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWAlignedCurve3dElementCoordinateSystem.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWAlignedSurface3dElementCoordinateSystem.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWArbitraryVolume3dElementCoordinateSystem.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWCurve3dElementRepresentation.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWCurveElementInterval.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWCurveElementIntervalConstant.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWCurveElementIntervalLinearlyVarying.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWCurveElementLocation.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWDummyNode.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWElementGeometricRelationship.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWElementGroup.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWElementRepresentation.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWFeaAxis2Placement3d.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWFeaCurveSectionGeometricRelationship.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWFeaGroup.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWFeaMaterialPropertyRepresentation.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWFeaModel.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWFeaModel3d.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWFeaModelDefinition.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWFeaSurfaceSectionGeometricRelationship.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWGeometricNode.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWNode.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWNodeDefinition.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWNodeGroup.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWNodeRepresentation.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWNodeWithSolutionCoordinateSystem.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWNodeWithVector.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWParametricCurve3dElementCoordinateDirection.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWParametricCurve3dElementCoordinateSystem.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWSurface3dElementRepresentation.cxx Diff ] File ]
mod - src/RWStepFEA/RWStepFEA_RWVolume3dElementRepresentation.cxx Diff ] File ]
mod - src/RWStepGeom/RWStepGeom_RWCurveBoundedSurface.cxx Diff ] File ]
mod - src/RWStepRepr/RWStepRepr_RWAssemblyComponentUsage.cxx Diff ] File ]
mod - src/RWStepRepr/RWStepRepr_RWCompositeShapeAspect.cxx Diff ] File ]
mod - src/RWStepRepr/RWStepRepr_RWConfigurationDesign.cxx Diff ] File ]
mod - src/RWStepRepr/RWStepRepr_RWConfigurationEffectivity.cxx Diff ] File ]
mod - src/RWStepRepr/RWStepRepr_RWConfigurationItem.cxx Diff ] File ]
mod - src/RWStepRepr/RWStepRepr_RWDerivedShapeAspect.cxx Diff ] File ]
mod - src/RWStepRepr/RWStepRepr_RWExtension.cxx Diff ] File ]
mod - src/RWStepRepr/RWStepRepr_RWMakeFromUsageOption.cxx Diff ] File ]
mod - src/RWStepRepr/RWStepRepr_RWMaterialPropertyRepresentation.cxx Diff ] File ]
mod - src/RWStepRepr/RWStepRepr_RWProductConcept.cxx Diff ] File ]
mod - src/RWStepRepr/RWStepRepr_RWPropertyDefinitionRelationship.cxx Diff ] File ]
mod - src/RWStepRepr/RWStepRepr_RWPropertyDefinitionRepresentation.cxx Diff ] File ]
mod - src/RWStepRepr/RWStepRepr_RWQuantifiedAssemblyComponentUsage.cxx Diff ] File ]
mod - src/RWStepRepr/RWStepRepr_RWShapeAspectDerivingRelationship.cxx Diff ] File ]
mod - src/RWStepRepr/RWStepRepr_RWShapeAspectRelationship.cxx Diff ] File ]
mod - src/RWStepRepr/RWStepRepr_RWShapeAspectTransition.cxx Diff ] File ]
mod - src/RWStepRepr/RWStepRepr_RWSpecifiedHigherUsageOccurrence.cxx Diff ] File ]
mod - src/RWStepRepr/RWStepRepr_RWStructuralResponsePropertyDefinitionRepresentation.cxx Diff ] File ]
mod - src/RWStepShape/RWStepShape_RWAngularLocation.cxx Diff ] File ]
mod - src/RWStepShape/RWStepShape_RWAngularSize.cxx Diff ] File ]
mod - src/RWStepShape/RWStepShape_RWBooleanResult.cxx Diff ] File ]
mod - src/RWStepShape/RWStepShape_RWCompoundShapeRepresentation.cxx Diff ] File ]
mod - src/RWStepShape/RWStepShape_RWConnectedFaceShapeRepresentation.cxx Diff ] File ]
mod - src/RWStepShape/RWStepShape_RWConnectedFaceSubSet.cxx Diff ] File ]
mod - src/RWStepShape/RWStepShape_RWCsgSolid.cxx Diff ] File ]
mod - src/RWStepShape/RWStepShape_RWDefinitionalRepresentationAndShapeRepresentation.cxx Diff ] File ]
mod - src/RWStepShape/RWStepShape_RWDimensionalCharacteristicRepresentation.cxx Diff ] File ]
mod - src/RWStepShape/RWStepShape_RWDimensionalLocation.cxx Diff ] File ]
mod - src/RWStepShape/RWStepShape_RWDimensionalLocationWithPath.cxx Diff ] File ]
mod - src/RWStepShape/RWStepShape_RWDimensionalSize.cxx Diff ] File ]
mod - src/RWStepShape/RWStepShape_RWDimensionalSizeWithPath.cxx Diff ] File ]
mod - src/RWStepShape/RWStepShape_RWEdgeBasedWireframeShapeRepresentation.cxx Diff ] File ]
mod - src/RWStepShape/RWStepShape_RWManifoldSolidBrep.cxx Diff ] File ]
mod - src/RWStepShape/RWStepShape_RWNonManifoldSurfaceShapeRepresentation.cxx Diff ] File ]
mod - src/RWStepShape/RWStepShape_RWPointRepresentation.cxx Diff ] File ]
mod - src/RWStepShape/RWStepShape_RWSeamEdge.cxx Diff ] File ]
mod - src/RWStepShape/RWStepShape_RWShapeDefinitionRepresentation.cxx Diff ] File ]
mod - src/RWStepShape/RWStepShape_RWShapeDimensionRepresentation.cxx Diff ] File ]
mod - src/RWStepShape/RWStepShape_RWShapeRepresentationWithParameters.cxx Diff ] File ]
mod - src/RWStepShape/RWStepShape_RWSubedge.cxx Diff ] File ]
mod - src/RWStepShape/RWStepShape_RWSubface.cxx Diff ] File ]
mod - src/RWStepVisual/RWStepVisual_RWDraughtingModel.cxx Diff ] File ]
mod - src/RWStepVisual/RWStepVisual_RWExternallyDefinedCurveFont.cxx Diff ] File ]
mod - src/Select3D/Select3D_InteriorSensitivePointSet.cxx Diff ] File ]
mod - src/Select3D/Select3D_InteriorSensitivePointSet.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveBox.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveBox.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveCircle.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveCircle.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveCurve.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveCurve.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveEntity.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveEntity.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveFace.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveFace.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveGroup.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveGroup.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitivePoint.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitivePoint.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitivePoly.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitivePoly.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveSegment.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveSegment.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveSet.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveSet.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveTriangle.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveTriangle.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveTriangulation.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveTriangulation.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveWire.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveWire.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_FrustumBuilder.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_FrustumBuilder.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_Selection.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_Selection.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectionManager.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SensitiveEntity.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SensitiveEntity.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ViewerSelector.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ViewerSelector.hxx Diff ] File ]
mod - src/ShapeAlgo/ShapeAlgo_AlgoContainer.cxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_Curve.cxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_Edge.cxx Diff ] File ]
mod - src/ShapeBuild/ShapeBuild_Edge.cxx Diff ] File ]
mod - src/ShapeConstruct/ShapeConstruct.cxx Diff ] File ]
mod - src/ShapeConstruct/ShapeConstruct_ProjectCurveOnSurface.cxx Diff ] File ]
mod - src/ShapeCustom/ShapeCustom_BSplineRestriction.cxx Diff ] File ]
mod - src/ShapeCustom/ShapeCustom_ConvertToBSpline.cxx Diff ] File ]
mod - src/ShapeCustom/ShapeCustom_ConvertToRevolution.cxx Diff ] File ]
mod - src/ShapeCustom/ShapeCustom_DirectModification.cxx Diff ] File ]
mod - src/ShapeCustom/ShapeCustom_SweptToElementary.cxx Diff ] File ]
mod - src/ShapeExtend/ShapeExtend_CompositeSurface.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_ComposeShell.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Edge.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_EdgeProjAux.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Face.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Wire.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Wire_1.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_ConvertCurve3dToBezier.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_SplitCurve2d.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_SplitCurve3d.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_SplitSurface.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_UnifySameDomain.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_WireDivide.cxx Diff ] File ]
mod - src/StdSelect/StdSelect_BRepSelectionTool.cxx Diff ] File ]
mod - src/StdSelect/StdSelect_ViewerSelector3d.cxx Diff ] File ]
mod - src/StdSelect/StdSelect_ViewerSelector3d.hxx Diff ] File ]
mod - src/StepAP203/StepAP203_ApprovedItem.cxx Diff ] File ]
mod - src/StepAP203/StepAP203_CertifiedItem.cxx Diff ] File ]
mod - src/StepAP203/StepAP203_ChangeRequestItem.cxx Diff ] File ]
mod - src/StepAP203/StepAP203_ClassifiedItem.cxx Diff ] File ]
mod - src/StepAP203/StepAP203_ContractedItem.cxx Diff ] File ]
mod - src/StepAP203/StepAP203_DateTimeItem.cxx Diff ] File ]
mod - src/StepAP203/StepAP203_PersonOrganizationItem.cxx Diff ] File ]
mod - src/StepAP203/StepAP203_SpecifiedItem.cxx Diff ] File ]
mod - src/StepAP203/StepAP203_StartRequestItem.cxx Diff ] File ]
mod - src/StepAP203/StepAP203_WorkItem.cxx Diff ] File ]
mod - src/StepAP209/StepAP209_Construct.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_ApprovalItem.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_AutoDesignDateAndPersonItem.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_AutoDesignDateAndTimeItem.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_AutoDesignDatedItem.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_AutoDesignGeneralOrgItem.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_AutoDesignGroupedItem.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_AutoDesignOrganizationItem.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_AutoDesignPresentedItemSelect.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_AutoDesignReferencingItem.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_DateAndTimeItem.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_DateItem.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_DocumentReferenceItem.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_ExternalIdentificationItem.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_GroupItem.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_OrganizationItem.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_PersonAndOrganizationItem.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_PresentedItemSelect.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_Protocol.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_DateTimeSelect.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_PersonOrganizationSelect.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ProductOrFormationOrDefinition.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_RoleSelect.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_SourceItem.cxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Reader.cxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Writer.cxx Diff ] File ]
mod - src/STEPConstruct/STEPConstruct.cxx Diff ] File ]
mod - src/STEPConstruct/STEPConstruct_Assembly.cxx Diff ] File ]
mod - src/STEPConstruct/STEPConstruct_ContextTool.cxx Diff ] File ]
mod - src/STEPConstruct/STEPConstruct_ExternRefs.cxx Diff ] File ]
mod - src/STEPConstruct/STEPConstruct_Styles.cxx Diff ] File ]
mod - src/STEPConstruct/STEPConstruct_UnitContext.cxx Diff ] File ]
mod - src/STEPConstruct/STEPConstruct_ValidationProps.cxx Diff ] File ]
mod - src/STEPControl/STEPControl_ActorRead.cxx Diff ] File ]
mod - src/STEPControl/STEPControl_ActorWrite.cxx Diff ] File ]
mod - src/STEPControl/STEPControl_Reader.cxx Diff ] File ]
mod - src/StepData/StepData_ECDescr.cxx Diff ] File ]
mod - src/StepData/StepData_FileProtocol.cxx Diff ] File ]
mod - src/StepData/StepData_HeaderTool.cxx Diff ] File ]
mod - src/StepData/StepData_Plex.cxx Diff ] File ]
mod - src/StepData/StepData_Protocol.cxx Diff ] File ]
mod - src/StepData/StepData_SelectType.cxx Diff ] File ]
mod - src/StepData/StepData_Simple.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_ShapeToleranceSelect.cxx Diff ] File ]
mod - src/StepFEA/StepFEA_CurveElementEndCoordinateSystem.cxx Diff ] File ]
mod - src/StepFEA/StepFEA_ElementOrElementGroup.cxx Diff ] File ]
mod - src/StepFEA/StepFEA_SymmetricTensor22d.cxx Diff ] File ]
mod - src/StepFEA/StepFEA_SymmetricTensor42d.cxx Diff ] File ]
mod - src/StepFEA/StepFEA_SymmetricTensor43d.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_Axis2Placement.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_CurveOnSurface.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_PcurveOrSurface.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_SurfaceBoundary.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_TrimmingSelect.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_VectorOrDirection.cxx Diff ] File ]
mod - src/StepRepr/StepRepr_CharacterizedDefinition.cxx Diff ] File ]
mod - src/StepRepr/StepRepr_ConfigurationDesignItem.cxx Diff ] File ]
mod - src/StepRepr/StepRepr_RepresentedDefinition.cxx Diff ] File ]
mod - src/StepRepr/StepRepr_ShapeDefinition.cxx Diff ] File ]
mod - src/StepRepr/StepRepr_Transformation.cxx Diff ] File ]
mod - src/STEPSelections/STEPSelections_AssemblyExplorer.cxx Diff ] File ]
mod - src/STEPSelections/STEPSelections_Counter.cxx Diff ] File ]
mod - src/StepShape/StepShape_CsgPrimitive.cxx Diff ] File ]
mod - src/StepShape/StepShape_DimensionalCharacteristic.cxx Diff ] File ]
mod - src/StepShape/StepShape_GeometricSetSelect.cxx Diff ] File ]
mod - src/StepShape/StepShape_ReversibleTopologyItem.cxx Diff ] File ]
mod - src/StepShape/StepShape_Shell.cxx Diff ] File ]
mod - src/StepShape/StepShape_SurfaceModel.cxx Diff ] File ]
mod - src/StepShape/StepShape_ToleranceMethodDefinition.cxx Diff ] File ]
mod - src/StepShape/StepShape_ValueQualifier.cxx Diff ] File ]
mod - src/StepToGeom/StepToGeom_MakeSurfaceOfRevolution.cxx Diff ] File ]
mod - src/StepToGeom/StepToGeom_MakeTrimmedCurve.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_Builder.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_MakeTransformed.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslateCompositeCurve.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslateEdge.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslateEdgeLoop.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslateFace.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_AreaOrView.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_CurveStyleFontSelect.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_FillStyleSelect.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_FontSelect.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_InvisibilityContext.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_InvisibleItem.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_LayeredItem.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_PresentationRepresentationSelect.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_PresentationSizeAssignmentSelect.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_PresentationStyleSelect.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_StyleContextSelect.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_SurfaceStyleElementSelect.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_TextOrCharacter.cxx Diff ] File ]
mod - src/TColStd/TColStd_PackedMapOfInteger.cxx Diff ] File ]
mod - src/TDataXtd/TDataXtd_Constraint.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_Application.cxx Diff ] File ]
mod - src/TestTopOpe/TestTopOpe_HDSCommands.cxx Diff ] File ]
mod - src/TestTopOpeDraw/TestTopOpeDraw_Displayer.cxx Diff ] File ]
mod - src/TestTopOpeDraw/TestTopOpeDraw_DrawableSHA.cxx Diff ] File ]
mod - src/TNaming/TNaming_Selector.cxx Diff ] File ]
mod - src/TObj/TObj_Application.cxx Diff ] File ]
mod - src/TObj/TObj_Application.hxx Diff ] File ]
mod - src/TObj/TObj_Assistant.cxx Diff ] File ]
mod - src/TObj/TObj_CheckModel.cxx Diff ] File ]
mod - src/TObj/TObj_CheckModel.hxx Diff ] File ]
mod - src/TObj/TObj_Common.hxx Diff ] File ]
mod - src/TObj/TObj_HiddenPartition.cxx Diff ] File ]
mod - src/TObj/TObj_HiddenPartition.hxx Diff ] File ]
mod - src/TObj/TObj_LabelIterator.cxx Diff ] File ]
mod - src/TObj/TObj_LabelIterator.hxx Diff ] File ]
mod - src/TObj/TObj_Model.cxx Diff ] File ]
mod - src/TObj/TObj_Model.hxx Diff ] File ]
mod - src/TObj/TObj_ModelIterator.cxx Diff ] File ]
mod - src/TObj/TObj_ModelIterator.hxx Diff ] File ]
mod - src/TObj/TObj_Object.cxx Diff ] File ]
mod - src/TObj/TObj_Object.hxx Diff ] File ]
mod - src/TObj/TObj_ObjectIterator.cxx Diff ] File ]
mod - src/TObj/TObj_ObjectIterator.hxx Diff ] File ]
mod - src/TObj/TObj_OcafObjectIterator.cxx Diff ] File ]
mod - src/TObj/TObj_OcafObjectIterator.hxx Diff ] File ]
mod - src/TObj/TObj_Partition.cxx Diff ] File ]
mod - src/TObj/TObj_Partition.hxx Diff ] File ]
mod - src/TObj/TObj_ReferenceIterator.cxx Diff ] File ]
mod - src/TObj/TObj_ReferenceIterator.hxx Diff ] File ]
mod - src/TObj/TObj_SequenceIterator.cxx Diff ] File ]
mod - src/TObj/TObj_SequenceIterator.hxx Diff ] File ]
mod - src/TObj/TObj_SequenceOfObject.cxx Diff ] File ]
mod - src/TObj/TObj_TIntSparseArray.cxx Diff ] File ]
mod - src/TObj/TObj_TIntSparseArray.hxx Diff ] File ]
mod - src/TObj/TObj_TModel.cxx Diff ] File ]
mod - src/TObj/TObj_TModel.hxx Diff ] File ]
mod - src/TObj/TObj_TNameContainer.cxx Diff ] File ]
mod - src/TObj/TObj_TNameContainer.hxx Diff ] File ]
mod - src/TObj/TObj_TObject.cxx Diff ] File ]
mod - src/TObj/TObj_TObject.hxx Diff ] File ]
mod - src/TObj/TObj_TReference.cxx Diff ] File ]
mod - src/TObj/TObj_TReference.hxx Diff ] File ]
mod - src/TObj/TObj_TXYZ.cxx Diff ] File ]
mod - src/TObj/TObj_TXYZ.hxx Diff ] File ]
mod - src/TObjDRAW/TObjDRAW.cxx Diff ] File ]
mod - src/TopoDSToStep/TopoDSToStep_Builder.cxx Diff ] File ]
mod - src/TopoDSToStep/TopoDSToStep_MakeFacetedBrep.cxx Diff ] File ]
mod - src/TopoDSToStep/TopoDSToStep_MakeStepWire.cxx Diff ] File ]
mod - src/TopoDSToStep/TopoDSToStep_Tool.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_DSFiller.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_EdgesFiller.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_Hctxee2d.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_mergePDS.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_sort.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_BuilderON.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_BuilderON2d.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_GridEE.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_GridSS.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_KPart.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_kpkole.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Section.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_BuildTool.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_Dumper.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_EXPORT.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_FaceInterferenceTool.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_ProcessFaceInterferences.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_TOOL.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_2d.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_CurveTool.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_FuseEdges.cxx Diff ] File ]
mod - src/TPrsStd/TPrsStd_ConstraintTools.cxx Diff ] File ]
mod - src/Transfer/Transfer_ActorOfFinderProcess.cxx Diff ] File ]
mod - src/Transfer/Transfer_ActorOfTransientProcess.cxx Diff ] File ]
mod - src/Transfer/Transfer_FinderProcess.cxx Diff ] File ]
mod - src/Transfer/Transfer_MultipleBinder.cxx Diff ] File ]
mod - src/Transfer/Transfer_SimpleBinderOfTransient.cxx Diff ] File ]
mod - src/Transfer/Transfer_TransferIterator.cxx Diff ] File ]
mod - src/TransferBRep/TransferBRep_BinderOfShape.cxx Diff ] File ]
mod - src/UnitsMethods/UnitsMethods.cxx Diff ] File ]
mod - src/V3d/V3d_Plane.cxx Diff ] File ]
mod - src/V3d/V3d_Plane.hxx Diff ] File ]
mod - src/V3d/V3d_View_4.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_OpenGlCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_RelationCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/Visual3d/Visual3d_ViewManager.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_Appearance.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_ArrayVec3d.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_Box.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_Color.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_Cone.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_Coordinate.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_Cylinder.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_Faceted.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_Geometry.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_Geometry.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_Group.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_Group.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_ImageTexture.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_IndexedFaceSet.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_IndexedFaceSet.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_IndexedLineSet.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_IndexedLineSet.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_Material.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_Material.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_Node.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_Node.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_Normal.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_Scene.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_ShapeConvert.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_ShapeNode.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_Sphere.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_Texture.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_TextureCoordinate.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_TextureTransform.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_UnknownNode.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_WorldInfo.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_WorldInfo.hxx Diff ] File ]
mod - src/XCAFPrs/XCAFPrs_AISObject.cxx Diff ] File ]
mod - src/XCAFPrs/XCAFPrs_AISObject.hxx Diff ] File ]
mod - src/XmlMDF/XmlMDF.cxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers_DocumentRetrievalDriver.hxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers_DocumentStorageDriver.hxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers_IntSparseArrayDriver.cxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers_IntSparseArrayDriver.hxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers_ModelDriver.cxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers_ModelDriver.hxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers_ObjectDriver.cxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers_ObjectDriver.hxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers_ReferenceDriver.cxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers_ReferenceDriver.hxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers_XYZDriver.cxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers_XYZDriver.hxx Diff ] File ]
mod - src/XSControl/XSControl.cxx Diff ] File ]
mod - src/XSControl/XSControl_Controller.cxx Diff ] File ]
mod - src/XSControl/XSControl_TransferReader.cxx Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx Diff ] File ]
mod - src/Xw/Xw_Window.cxx Diff ] File ]
mod - src/Xw/Xw_Window.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-05-22 12:48 abv New Issue
2014-05-22 12:48 abv Assigned To => abv
2014-05-22 13:08 abv Note Added: 0029461
2014-05-26 13:46 abv Relationship added parent of 0024955
2014-05-27 12:15 abv Note Added: 0029537
2014-05-28 14:52 abv Note Added: 0029573
2014-05-28 14:52 abv Assigned To abv => kgv
2014-05-28 14:52 abv Status new => resolved
2014-05-28 16:47 kgv Note Added: 0029584
2014-05-28 16:47 kgv Assigned To kgv => abv
2014-05-28 16:47 kgv Status resolved => assigned
2014-05-29 16:47 abv Note Added: 0029616
2014-05-29 16:47 abv Assigned To abv => kgv
2014-05-29 16:47 abv Status assigned => resolved
2014-06-03 08:24 abv Relationship added related to 0024806
2014-06-03 08:25 abv Note Added: 0029642
2015-05-25 08:07 git Note Added: 0041472
2015-05-30 13:35 git Note Added: 0041763
2015-05-30 13:47 abv Note Added: 0041764
2015-05-30 13:51 abv Note Edited: 0041764 View Revisions
2015-06-05 06:47 abv File Added: bug24947_perf.xlsx
2015-06-28 13:39 abv Relationship added child of 0024023
2015-07-20 14:32 kgv Assigned To kgv => bugmaster
2015-07-20 14:32 kgv Status resolved => reviewed
2015-07-22 07:44 git Note Added: 0043261
2015-07-22 07:46 git Note Added: 0043262
2015-07-22 16:20 git Note Added: 0043297
2015-07-22 16:21 git Note Added: 0043300
2015-07-22 16:35 abv Relationship added related to 0024780
2015-07-23 11:55 abv Changeset attached => occt master 4f953fa9
2015-07-23 11:55 abv Changeset attached => occt master ec357c5c
2015-07-23 11:55 abv Changeset attached => occt master 69ff08ff
2015-07-23 11:55 abv Assigned To bugmaster => abv
2015-07-23 11:55 abv Status reviewed => verified
2015-07-23 11:55 abv Resolution open => fixed
2015-07-27 14:18 git Note Added: 0043573
2015-11-30 06:46 abv Relationship added related to 0026913
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker